package com.huashe.park.core.service;

import java.util.List;

import com.huashe.park.domain.dto.cons.PileRealtimeIndex;
import com.huashe.park.domain.entity.ConsPileHoleInfo;

/**
 * 施工桩点信息Service接口
 * 
 * @author ruoyi
 * @date 2025-02-13
 */
public interface IConsPileHoleInfoService {
    /**
     * 查询施工桩点信息
     * 
     * @param id 施工桩点信息主键
     * @return 施工桩点信息
     */
    public ConsPileHoleInfo selectConsPileHoleInfoById(Long id);

    ConsPileHoleInfo selectConsPileHoleInfoByteId(String byteKey);

    public List<PileRealtimeIndex> selectConsPileHoleRealtimeIndex(ConsPileHoleInfo consPileHoleInfo);

    /**
     * 查询施工桩点信息列表
     * 
     * @param consPileHoleInfo 施工桩点信息
     * @return 施工桩点信息集合
     */
    public List<ConsPileHoleInfo> selectConsPileHoleInfoList(ConsPileHoleInfo consPileHoleInfo);

    List<ConsPileHoleInfo> selectNonConsPileHoleInfo(ConsPileHoleInfo consPileHoleInfo);

    /**
     * 新增施工桩点信息
     * 
     * @param consPileHoleInfo 施工桩点信息
     * @return 结果
     */
    public int insertConsPileHoleInfo(ConsPileHoleInfo consPileHoleInfo);

    /**
     * 修改施工桩点信息
     * 
     * @param consPileHoleInfo 施工桩点信息
     * @return 结果
     */
    public int updateConsPileHoleInfo(ConsPileHoleInfo consPileHoleInfo);

    /**
     * 批量删除施工桩点信息
     * 
     * @param ids 需要删除的施工桩点信息主键集合
     * @return 结果
     */
    public int deleteConsPileHoleInfoByIds(Long[] ids);

    /**
     * 删除施工桩点信息信息
     * 
     * @param id 施工桩点信息主键
     * @return 结果
     */
    public int deleteConsPileHoleInfoById(Long id);

    void deleteConsPileHoleInfoByConsUnitId(Long id);

    public void importConsPileHole(List<ConsPileHoleInfo> consPileHoleInfo);
}
